Unit tqs60r_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, FQS60R_p, QS60R_p;

function tqs60r: String;

implementation

function tqs60r: String;
var
IERR,_i :Integer;
INT,EPS :Real;
A1 :Array [0..2] of Real;
A2 :Array [0..2] of Real;
begin
Result := '';  {   }
A1[0] := 0.0;
A1[1] := 0.0;
A1[2] := 0.0;
A2[0] := 1.0;
A2[1] := 2.0;
A2[2] := 3.0;
EPS := 0.001;
QS60R(INT,A1,A2,FQS60R,EPS,IERR);
Result := Result + #$0D#$0A;
for _i:=0 to 2 do
 begin
  Result := Result + Format('%20.16f ',[A1[_i]]);
  if ( ((_i+1) mod 3)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + #$0D#$0A;
for _i:=0 to 2 do
 begin
  Result := Result + Format('%20.16f ',[A2[_i]]);
  if ( ((_i+1) mod 3)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + Format('%20.16f %10d ',[INT,IERR]) + #$0D#$0A;
UtRes('tqs60r',Result);  {     tqs60r.res }
exit;
end;

end.
